Name:       qubes-ansible
Version:    1.0.0
Release:    1%{?dist}
Summary:    Ansible connection plugin and module for QubesOS
License:    GPLv3+
URL:        https://github.com/QubesOS/qubes-ansible
BuildArch:  noarch

Source0:    %{name}-%{version}.tar.gz

Requires:   ansible

%description
qubes-ansible provides an Ansible connection plugin ("qubes") and an Ansible module ("qubesos")
to manage QubesOS virtual machines. The files are installed into the Ansible module directory so that
Ansible can automatically discover and use them. This package is intended to be installed in dom0
(or a management qube).

%prep
%autosetup

%build

%install
rm -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/ansible/plugins/modules
%{__mkdir} -p %{buildroot}%{_datadir}/ansible/plugins/connection

# Install the qubesos module and qubes connection plugin
install -m 644 plugins/modules/qubesos.py %{buildroot}%{_datadir}/ansible/plugins/modules/qubesos.py
install -m 644 plugins/connection/qubes.py %{buildroot}%{_datadir}/ansible/plugins/connection/qubes.py

%files
%doc README.md LICENSE EXAMPLES.md
%{_datadir}/ansible/plugins/modules/qubesos.py
%{_datadir}/ansible/plugins/connection/qubes.py

%changelog
* Sun Apr 06 2025 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/fepitre/qubes-ansible

* Sun Apr 06 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 5a81faf
- Update README to include mgmt vm RPC

* Sun Apr 06 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - e48f198
- Add .gitlab-ci.yml

* Sun Apr 06 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 23eed7d
- Add SPEC file and qubes-builderv2 integration

* Fri Mar 07 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 801b74a
- Simplify documentation

* Mon Mar 03 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 75ca573
- Several updates for examples and docs

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7bafdf5
- Several README and examples updates

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c4a8129
- examples: several updates

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - abe8b10
- qubesos: update DOCUMENTATION

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1699b15
- qubesos: several fixes

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ae06fbb
- qubesos: use f-strings

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 599f893
- qubesos: fix undefined variable netvm and improve none support

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0a89c3b
- Several changes for author and copyright

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4d7e3c9
- qubes: update documentation and use Qubes OS Team

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 309884b
- qubes: fix warning about inventory_hostname

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8f8e07a
- qubes: several fixes

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b2a4e3f
- Reformat with black -l80

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1f1edd4
- qubes: fix imports

* Sun Mar 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5d6a947
- Update license headers

* Wed Feb 07 2024 Kushal Das <mail@kushaldas.in> - b08e953
- Fixes #28 ansible 7.7 series

* Tue Feb 06 2024 Kushal Das <mail@kushaldas.in> - 2bf6df5
- Updates readthedocs configuration

* Tue Feb 06 2024 Kushal Das <mail@kushaldas.in> - fd8c28d
- RTFD build

* Tue Feb 06 2024 Kushal Das <mail@kushaldas.in> - 313c4ae
- Updates instruction for Qubes 4.2

* Wed Sep 01 2021 Kushal Das <mail@kushaldas.in> - aaeffe3
- Updates README

* Wed Sep 01 2021 Kushal Das <mail@kushaldas.in> - 8a77815
- Updates docs

* Wed Sep 01 2021 Kushal Das <mail@kushaldas.in> - 70579db
- Fixes #26 connections work once again

* Fri Dec 14 2018 Kushal Das <mail@kushaldas.in> - a0f419f
- Docs update for the volume property

* Fri Dec 14 2018 Kushal Das <mail@kushaldas.in> - 5fdaefa
- Adds volume resize option in preferences

* Mon Nov 19 2018 Kushal Das <mail@kushaldas.in> - 1aad06a
- Allows empty NetVM for a vm

* Tue Nov 13 2018 Kushal Das <mail@kushaldas.in> - b7f5f7f
- More updates based on review

* Thu Oct 25 2018 Kushal Das <mail@kushaldas.in> - 5824460
- Fixes PEP257 issues

* Thu Oct 25 2018 Kushal Das <mail@kushaldas.in> - c56007f
- Fetches the file directly to the right path.

* Thu Oct 25 2018 Miguel Jacq <mig@mig5.net> - c8197b6
- Need to be root to apply package updates

* Wed Oct 24 2018 Kushal Das <mail@kushaldas.in> - 34f0dae
- Always put file in the target VM

* Tue Oct 23 2018 Kushal Das <mail@kushaldas.in> - 74ac094
- Adds features as properties in VMs

* Tue Oct 23 2018 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 9113e78
- Fix minor typo

* Tue Oct 23 2018 Kushal Das <mail@kushaldas.in> - 67983dd
- Now we can safely create TemplateVM or StandaloneVM

* Mon Oct 22 2018 Micah Lee <micah@micahflee.com> - 563802b
- Move inventory instructions to the top of examples, and add more instructions to it

* Mon Oct 22 2018 Micah Lee <micah@micahflee.com> - 871e427
- Fix commands to copy ansible_module into dom0

* Mon Oct 22 2018 Kushal Das <mail@kushaldas.in> - 612f54e
- Adds an example of shutting down all vms

* Mon Oct 22 2018 Kushal Das <mail@kushaldas.in> - ccf0a18
- Adds createinventory command and examples

* Sun Oct 21 2018 Kushal Das <mail@kushaldas.in> - 5251496
- Adds tags to a vm and also removetags command

* Sat Oct 20 2018 Kushal Das <mail@kushaldas.in> - 5cdb4f0
- Updates the example

* Sat Oct 20 2018 Kushal Das <mail@kushaldas.in> - 07719c2
- Changes prerfences keyword to properties

* Sat Oct 20 2018 Kushal Das <mail@kushaldas.in> - 81fc6d3
- Uses standard qrexec service

* Thu Oct 18 2018 Kushal Das <mail@kushaldas.in> - 200e410
- Adds -u documentation

* Thu Oct 18 2018 Kushal Das <mail@kushaldas.in> - 482d826
- Adds link to the docs

* Thu Oct 18 2018 Kushal Das <mail@kushaldas.in> - bd24cb1
- Initial docs

* Thu Oct 18 2018 Kushal Das <mail@kushaldas.in> - cac93ef
- Updates the examples

* Thu Oct 18 2018 Kushal Das <mail@kushaldas.in> - 8fff375
- Adds list_vms command for a given state

* Wed Oct 17 2018 Kushal Das <mail@kushaldas.in> - 3eaff3d
- Makes state=present work with a guestname

